46 comments
Comment actions Permalink

Hi Ivan. I'm getting this same issue in EAP build 14 (first public). I'm happy to open another issue, but can you specify which logs are relevant and useful?

0
Comment actions Permalink

@Adam Mechtley
On mac/linux Rider requires mono 4x. Do you have it?

0
Comment actions Permalink

Thanks for writing back. I had tried 4.6.2.7, as well as Unity's built-in Mono framework, but installed and pointed to 4.8.0 and that seems to have made the error go away.

0
Comment actions Permalink

@Adam Mechtley

I am glad that it works for you now, just could you please recheck you current mono version?

As far as I am aware The latest Mono release is: 4.6 Service Release 1 (4.6.2.7)

So 4.8 sounds like an error.

0
Comment actions Permalink

Yes I downloaded 4.8.0 directly from here: https://download.mono-project.com/archive/

That said, I tried pointing it to 4.6.2.7 again and it seems to work now

0
Comment actions Permalink

Mono 4.8.0 is currently only a preview release (this page says, "These notes are for a current or upcoming PREVIEW RELEASE and might not reflect the final release."), so 4.6.2 will be the one to stick to for now.

0
Comment actions Permalink

Is there any chance I can run Unity test cases inside Rider? I've been working on my Unity project using Rider and I found it almost perfect for my needs. But I wish there was some way to run NUnit test cases within the IDE, rather than switching to Unity Editor to run them.

Of course, Rider can run plain NUnit tests just fine. But it seems that those test cases which use Unity related APIs need to be run inside Unity Editor, so they just return 'inconclusive' status when I try to run them inside Rider.

Could it be possible to run those tests on Unity but reports the result in the IDE somehow? I'm not very experienced in Unity/.NET yet so I have little idea how feasible it can be, though.

Thanks in advance!

0
Comment actions Permalink

@MysticFallband
As I see it, if Unity team would allow it, we will support it.
I added a request in our tracker https://youtrack.jetbrains.com/issue/RIDER-5338
To collect votes and to keep list of things we want from Unity up to date.
Thanks!

0
Comment actions Permalink

@Ivan Shakhov //

Thanks much for creating an issue. I'll keep track of the updates there!

0
Comment actions Permalink

Guys, @Ivan Shakov

Me and my whole team we are working with Unity full time and we love Rider as our IDE. However, the integration with Unity is very lacking. In particular, Rider cannot debug Unity properly. It does catch breakpoints, and inspect some values, but very often it is unable to inspect collections (only giving the size). Many types of objects are simply printed in red, indicating errors during debuging and providing no solid information.

But the worst part is, that debugging in Rider causes Unity to hang so often that my whole team gave up on debugging in Rider. We are back to print debugging which feels like going back to the stone age! 

Can you address that please? Any chances the debugging support could be better and more reliable?

Thanks!

0
Comment actions Permalink

@Tomasz, thanks for your feedback. Could you please give more details on your typical environment. Os, Unity, used mono in Unity and in Rider. Thanks!

0
Comment actions Permalink


Hi Ivan, thanks for responding! We are using Unity 5.6.2p4 on MacOS Sierra 10.12.2.

Rider seems to be using Mono 4.0.30319.42000 (Mono executive path in 'Toolset and Build' --> it's located in /Library)

As for Unity, I have a bit confusion. When I enter Unity package and run this command inside Mono/bin:
monop2 --runtime-version mono.exe
It reports 4.0.30319.42000.

But my Player settings in Unity show Scripting backend of Mono2x.

I also checked the mono runtime by reflection (as described in the accepted answer below) and it prints: 2.6.5 (tarball)
http://answers.unity3d.com/questions/259448/how-to-determine-mono-version-of-unity-.html

0
Comment actions Permalink

@Tomasz,

Could you possibly share your solution with us, so we can reproduce the issue? We will sign any NDA if needed. Please zip it and load via FTP or HTTP as described here: https://rider-support.jetbrains.com/hc/en-us/articles/208199755-Uploading-Large-Files-for-JetBrains-Support-Team and send me a filename to julia.vaseva at jetbrains dot com

 

0
Comment actions Permalink

This should be closed, no ?

 

0
Comment actions Permalink

Here, on support forums we do not close topics, I guess.
Best place to request features or report bugs for Unity integrations is here https://github.com/JetBrains/resharper-unity/issues
For Rider issues https://youtrack.jetbrains.com/issues/RIDER

Thanks!

 

0

Please sign in to leave a comment.